کدهای QR

GET https://linkcomposer.com/api/qr-codes/
curl --request GET \
--url 'https://linkcomposer.com/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
پارامترها جزئیات توضیحات
search اختیاری رشته (String) عبارت جستجو.
search_by اختیاری رشته (String) فیلدی که بر اساس آن جستجو می‌کنید. مقادیر مجاز: name.
project_id اختیاری عدد صحیح (Integer)
type اختیاری رشته (String) فیلدی که بر اساس آن جستجو می‌کنید. مقادیر مجاز: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix.
datetime_field اختیاری رشته (String) مقادیر مجاز: datetime, last_datetime
datetime_start اختیاری رشته (String) فیلتر نتایج از این تاریخ و زمان به بعد. با قالب Y-m-d H:i:s.
datetime_end اختیاری رشته (String) فیلتر نتایج تا این تاریخ و زمان. با قالب Y-m-d H:i:s.
order_by اختیاری رشته (String) فیلدی که نتایج بر اساس آن مرتب می‌شوند. مقادیر مجاز: qr_code_id, datetime, last_datetime, name, type.
order_type اختیاری رشته (String) ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی.
page اختیاری عدد صحیح (Integer) شماره صفحه‌ای که می‌خواهید نتایج آن را دریافت کنید. مقدار پیش‌فرض 1 است.
results_per_page اختیاری عدد صحیح (Integer) تعداد نتایج در هر صفحه. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. مقدار پیش‌فرض 25 است.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "link_id": 1,
            "type": "Example",
            "name": "Example",
            "qr_code": "Example",
            "qr_code_logo": "Example",
            "qr_code_background": "Example",
            "qr_code_foreground": "Example",
            "settings": [],
            "embedded_data": "Example",
            "last_datetime": null,
            "datetime": "2026-10-03 00:02:16"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://linkcomposer.com/api/qr-codes?page=1",
        "last": "https://linkcomposer.com/api/qr-codes?page=1",
        "next": null,
        "prev": null,
        "self": "https://linkcomposer.com/api/qr-codes?page=1"
    }
}
GET https://linkcomposer.com/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://linkcomposer.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-10-03 00:02:16"
    }
}
POST https://linkcomposer.com/api/qr-codes
پارامترها جزئیات توضیحات
project_id اختیاری عدد صحیح (Integer) -
name الزامی رشته (String) -
type الزامی رشته (String) مقادیر مجاز: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
is_bulk اختیاری بولین (Boolean) در دسترس هنگامی که: type = text
url_dynamic_existing_link اختیاری بولین (Boolean) در دسترس هنگامی که: url_dynamic = 1
url_dynamic اختیاری بولین (Boolean) در دسترس هنگامی که: type = url
link_id اختیاری عدد صحیح (Integer) در دسترس هنگامی که: url_dynamic = 1 + url_dynamic_existing_link = 1
style اختیاری رشته (String)
inner_eye_style اختیاری رشته (String) مقادیر مجاز: square, dot, rounded, diamond, flower, leaf
outer_eye_style اختیاری رشته (String) مقادیر مجاز: square, circle, rounded, flower, leaf
foreground_type اختیاری رشته (String) مقادیر مجاز: color, gradient
foreground_color اختیاری رشته (String) در دسترس هنگامی که: foreground_type = color
foreground_gradient_style اختیاری رشته (String) مقادیر مجاز: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one اختیاری رشته (String) در دسترس هنگامی که: foreground_type = gradient
foreground_gradient_two اختیاری رشته (String) در دسترس هنگامی که: foreground_type = gradient
background_color اختیاری رشته (String)
background_color_transparency اختیاری عدد صحیح (Integer)
custom_eyes_color اختیاری بولین (Boolean)
eyes_inner_color اختیاری رشته (String) در دسترس هنگامی که: custom_eyes_color = 1
eyes_outer_color اختیاری رشته (String) در دسترس هنگامی که: custom_eyes_color = 1
qr_code_logo اختیاری فایل -
qr_code_logo_size اختیاری عدد صحیح (Integer) 5-35
qr_code_background اختیاری فایل -
qr_code_background_transparency اختیاری عدد صحیح (Integer) 0-100
qr_code_foreground اختیاری فایل -
qr_code_foreground_transparency اختیاری عدد صحیح (Integer) 0-100
frame اختیاری رشته (String) مقادیر مجاز: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text اختیاری رشته (String)
frame_text_size اختیاری عدد صحیح (Integer) -5 - 5
frame_text_font اختیاری رشته (String) مقادیر مجاز: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors اختیاری بولین (Boolean)
frame_color اختیاری رشته (String) در دسترس هنگامی که: frame_custom_colors = 1
frame_text_color اختیاری رشته (String) در دسترس هنگامی که: frame_custom_colors = 1
size اختیاری عدد صحیح (Integer) 50-2000
margin اختیاری عدد صحیح (Integer) 0-25
ecc اختیاری رشته (String) مقادیر مجاز: L, M, Q, H
text اختیاری رشته (String) در دسترس هنگامی که: type = text
url اختیاری رشته (String) در دسترس هنگامی که: type = url. در دسترس هنگامی که: url_dynamic = 0 / url_dynamic_existing_link = 0
phone اختیاری رشته (String) در دسترس هنگامی که: type = phone
sms اختیاری رشته (String) در دسترس هنگامی که: type = sms
sms_body اختیاری رشته (String) در دسترس هنگامی که: type = sms
email اختیاری رشته (String) در دسترس هنگامی که: type = email
whatsapp اختیاری رشته (String) در دسترس هنگامی که: type = whatsapp
whatsapp_body اختیاری رشته (String) در دسترس هنگامی که: type = whatsapp
facetime اختیاری رشته (String) در دسترس هنگامی که: type = facetime
facetime_audio اختیاری رشته (String) در دسترس هنگامی که: type = facetime_audio
location
location_latitude اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = location
location_longitude اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = location
wifi
wifi_ssid اختیاری رشته (String) در دسترس هنگامی که: type = wifi
wifi_encryption اختیاری رشته (String) مقادیر مجاز: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password اختیاری رشته (String) در دسترس هنگامی که: type = wifi
wifi_is_hidden اختیاری بولین (Boolean) در دسترس هنگامی که: type = wifi
event اختیاری رشته (String) در دسترس هنگامی که: type = event
event_location اختیاری رشته (String) در دسترس هنگامی که: type = event
event_url اختیاری رشته (String) در دسترس هنگامی که: type = event
event_note اختیاری رشته (String) در دسترس هنگامی که: type = event
event_timezone اختیاری رشته (String) در دسترس هنگامی که: type = event
event_start_datetime اختیاری رشته (String) در دسترس هنگامی که: type = event
event_end_datetime اختیاری رشته (String) در دسترس هنگامی که: type = event
event_first_alert_datetime اختیاری رشته (String) در دسترس هنگامی که: type = event
event_second_alert_datetime اختیاری رشته (String) در دسترس هنگامی که: type = event
crypto
crypto_coin اختیاری رشته (String) در دسترس هنگامی که: type = crypto
crypto_address اختیاری رشته (String) در دسترس هنگامی که: type = crypto
crypto_amount اختیاری رشته (String) در دسترس هنگامی که: type = crypto
vcard
vcard_first_name اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_last_name اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_company اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_phone_number_label[index] اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_phone_number_value[index] اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_email اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_url اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_job_title اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_birthday اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_street اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_city اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_zip اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_region اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_country اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_note اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_social_label[index] اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_social_value[index] اختیاری رشته (String) در دسترس هنگامی که: type = vcard
paypal
paypal_type اختیاری رشته (String) مقادیر مجاز: buy_now, add_to_cart, donation (type=paypal)
paypal_email اختیاری رشته (String) در دسترس هنگامی که: type = paypal
paypal_title اختیاری رشته (String) در دسترس هنگامی که: type = paypal
paypal_currency اختیاری رشته (String) در دسترس هنگامی که: type = paypal
paypal_price اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = paypal
paypal_thank_you_url اختیاری رشته (String) در دسترس هنگامی که: type = paypal
paypal_cancel_url اختیاری رشته (String) در دسترس هنگامی که: type = paypal
upi
upi_payee_id اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_payee_name اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_currency اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_amount اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = upi
upi_transaction_id اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_transaction_note اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_transaction_reference اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_thank_you_url اختیاری رشته (String) در دسترس هنگامی که: type = upi
epc
epc_iban اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_payee_name اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_currency اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_amount اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = epc
epc_bic اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_remittance_reference اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_remittance_text اختیاری رشته (String) در دسترس هنگامی که: type = epc
information اختیاری رشته (String) در دسترس هنگامی که: type = epc
pix
pix_payee_key اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_payee_name اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_currency اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_amount اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = pix
pix_city اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_transaction_id اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_description اختیاری رشته (String) در دسترس هنگامی که: type = pix
bulk_request اختیاری رشته (String) -
qr_code_logo_remove اختیاری بولین (Boolean) -
qr_code_background_remove اختیاری بولین (Boolean) -
qr_code_foreground_remove اختیاری بولین (Boolean) -
encoding اختیاری آرایه (Array) -
sms اختیاری آرایه (Array) -
email اختیاری آرایه (Array) -
whatsapp اختیاری آرایه (Array) -
event اختیاری آرایه (Array) -
qr_code اختیاری آرایه (Array) -
embedded_data اختیاری آرایه (Array) -
پارامترها جزئیات توضیحات
curl --request POST \
--url 'https://linkcomposer.com/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-10-03 00:02:16"
    }
}
POST https://linkcomposer.com/api/qr-codes/{qr_code_id}
پارامترها جزئیات توضیحات
project_id اختیاری رشته (String) -
name اختیاری رشته (String) -
type اختیاری رشته (String) مقادیر مجاز: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
url_dynamic اختیاری بولین (Boolean) در دسترس هنگامی که: type = url
url_dynamic_existing_link اختیاری بولین (Boolean) در دسترس هنگامی که: url_dynamic = 1
link_id اختیاری عدد صحیح (Integer) در دسترس هنگامی که: url_dynamic = 1 + url_dynamic_existing_link = 1
style اختیاری رشته (String) مقادیر مجاز: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x
inner_eye_style اختیاری رشته (String) مقادیر مجاز: square, dot, rounded, diamond, flower, leaf
outer_eye_style اختیاری رشته (String) مقادیر مجاز: square, circle, rounded, flower, leaf
foreground_type اختیاری رشته (String) مقادیر مجاز: color, gradient
foreground_color اختیاری رشته (String) در دسترس هنگامی که: foreground_type = color
foreground_gradient_style اختیاری رشته (String) مقادیر مجاز: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one اختیاری رشته (String) در دسترس هنگامی که: foreground_type = gradient
foreground_gradient_two اختیاری رشته (String) در دسترس هنگامی که: foreground_type = gradient
background_color اختیاری رشته (String)
background_color_transparency اختیاری عدد صحیح (Integer) 0 - 100
custom_eyes_color اختیاری بولین (Boolean)
eyes_inner_color اختیاری رشته (String) در دسترس هنگامی که: custom_eyes_color = 1
eyes_outer_color اختیاری رشته (String) در دسترس هنگامی که: custom_eyes_color = 1
qr_code_logo اختیاری فایل -
qr_code_logo_size اختیاری عدد صحیح (Integer) 5-35
qr_code_background اختیاری فایل -
qr_code_background_transparency اختیاری عدد صحیح (Integer) 0-100
qr_code_foreground اختیاری فایل -
qr_code_foreground_transparency اختیاری عدد صحیح (Integer) 0-100
frame اختیاری رشته (String) مقادیر مجاز: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text اختیاری رشته (String)
frame_text_size اختیاری عدد صحیح (Integer) -5 -> 5
frame_text_font اختیاری رشته (String) مقادیر مجاز: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors اختیاری بولین (Boolean)
frame_color اختیاری رشته (String) در دسترس هنگامی که: frame_custom_colors = 1
frame_text_color اختیاری رشته (String) در دسترس هنگامی که: frame_custom_colors = 1
size اختیاری عدد صحیح (Integer) 50-2000
margin اختیاری عدد صحیح (Integer) 0-25
ecc اختیاری رشته (String) مقادیر مجاز: L, M, Q, H
text اختیاری رشته (String) در دسترس هنگامی که: type = text
url اختیاری رشته (String) در دسترس هنگامی که: type = url. در دسترس هنگامی که: url_dynamic = 0 / url_dynamic_existing_link = 0
phone اختیاری رشته (String) در دسترس هنگامی که: type = phone
sms اختیاری رشته (String) در دسترس هنگامی که: type = sms
sms_body اختیاری رشته (String) در دسترس هنگامی که: type = sms
email اختیاری رشته (String) در دسترس هنگامی که: type = email
whatsapp اختیاری رشته (String) در دسترس هنگامی که: type = whatsapp
whatsapp_body اختیاری رشته (String) در دسترس هنگامی که: type = whatsapp
facetime اختیاری رشته (String) در دسترس هنگامی که: type = facetime
facetime_audio اختیاری رشته (String) در دسترس هنگامی که: type = facetime_audio
location
location_latitude اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = location
location_longitude اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = location
wifi
wifi_ssid اختیاری رشته (String) در دسترس هنگامی که: type = wifi
wifi_encryption اختیاری رشته (String) مقادیر مجاز: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password اختیاری رشته (String) در دسترس هنگامی که: type = wifi
wifi_is_hidden اختیاری بولین (Boolean) در دسترس هنگامی که: type = wifi
event اختیاری رشته (String) در دسترس هنگامی که: type = event
event_location اختیاری رشته (String) در دسترس هنگامی که: type = event
event_url اختیاری رشته (String) در دسترس هنگامی که: type = event
event_note اختیاری رشته (String) در دسترس هنگامی که: type = event
event_timezone اختیاری رشته (String) در دسترس هنگامی که: type = event
event_start_datetime اختیاری رشته (String) در دسترس هنگامی که: type = event
event_end_datetime اختیاری رشته (String) در دسترس هنگامی که: type = event
event_first_alert_datetime اختیاری رشته (String) در دسترس هنگامی که: type = event
event_second_alert_datetime اختیاری رشته (String) در دسترس هنگامی که: type = event
crypto
crypto_coin اختیاری رشته (String) در دسترس هنگامی که: type = crypto
crypto_address اختیاری رشته (String) در دسترس هنگامی که: type = crypto
crypto_amount اختیاری رشته (String) در دسترس هنگامی که: type = crypto
vcard
vcard_first_name اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_last_name اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_company اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_phone_number_label[index] اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_phone_number_value[index] اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_email اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_url اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_job_title اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_birthday اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_street اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_city اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_zip اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_region اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_country اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_note اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_social_label[index] اختیاری رشته (String) در دسترس هنگامی که: type = vcard
vcard_social_value[index] اختیاری رشته (String) در دسترس هنگامی که: type = vcard
paypal
paypal_type اختیاری رشته (String) مقادیر مجاز: buy_now, add_to_cart, donation (type=paypal)
paypal_email اختیاری رشته (String) در دسترس هنگامی که: type = paypal
paypal_title اختیاری رشته (String) در دسترس هنگامی که: type = paypal
paypal_currency اختیاری رشته (String) در دسترس هنگامی که: type = paypal
paypal_price اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = paypal
paypal_thank_you_url اختیاری رشته (String) در دسترس هنگامی که: type = paypal
paypal_cancel_url اختیاری رشته (String) در دسترس هنگامی که: type = paypal
upi
upi_payee_id اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_payee_name اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_currency اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_amount اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = upi
upi_transaction_id اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_transaction_note اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_transaction_reference اختیاری رشته (String) در دسترس هنگامی که: type = upi
upi_thank_you_url اختیاری رشته (String) در دسترس هنگامی که: type = upi
epc
epc_iban اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_payee_name اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_currency اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_amount اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = epc
epc_bic اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_remittance_reference اختیاری رشته (String) در دسترس هنگامی که: type = epc
epc_remittance_text اختیاری رشته (String) در دسترس هنگامی که: type = epc
information اختیاری رشته (String) در دسترس هنگامی که: type = epc
pix
pix_payee_key اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_payee_name اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_currency اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_amount اختیاری عدد اعشاری (Float) در دسترس هنگامی که: type = pix
pix_city اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_transaction_id اختیاری رشته (String) در دسترس هنگامی که: type = pix
pix_description اختیاری رشته (String) در دسترس هنگامی که: type = pix
qr_code_logo_remove اختیاری بولین (Boolean) -
qr_code_background_remove اختیاری بولین (Boolean) -
qr_code_foreground_remove اختیاری بولین (Boolean) -
encoding اختیاری آرایه (Array) -
sms اختیاری آرایه (Array) -
email اختیاری آرایه (Array) -
whatsapp اختیاری آرایه (Array) -
event اختیاری آرایه (Array) -
qr_code اختیاری آرایه (Array) -
embedded_data اختیاری آرایه (Array) -
curl --request POST \
--url 'https://linkcomposer.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-10-03 00:02:16"
    }
}
DELETE https://linkcomposer.com/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://linkcomposer.com/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \